Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006051TestLinkExport/Importpublic2013-11-17 18:282014-04-25 17:39
Reportersboga 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006051: Extension of file exported is php instead of xml, when you export Platforms
DescriptionEnvironment: DEMO
 URL: http://demo.testlink.org/tl194demo [^]
 browser: Chrome
 user: sboga
 project: ZAZ

Preconditions:
  create at least 2 platforms for project ZAZ

Steps to reproduce:
 1) select ZAZ project
 2) click on Platform Management
 3) click on Export
 4) type a filename (you can even try to write .xml for extension)
 5) check what extension have the file exported

Expected results:
  filename should have .xml as extenstion

Actual results:
  filename have .php as extension

Note: the file is an XML, but you cannot import it on other project
      name of file is always 'platformsExport.php'

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020102)
fman (administrator)
2013-11-18 14:49

hmm dejavu, this has happen before,
need to check old issues
(0020103)
fman (administrator)
2013-11-18 19:32

line 26 platformExport.php
From
$gui = initializeGui();
To
$gui = initializeGui($args);
(0020104)
fman (administrator)
2013-11-18 19:34

https://gitorious.org/testlink-ga/testlink-code/commit/bd65cac0113ce4e95b55436a170a18c7c906d3f3 [^]
(0020887)
fman (administrator)
2014-04-25 17:39

1.9.10 released

- Issue History
Date Modified Username Field Change
2013-11-17 18:28 sboga New Issue
2013-11-18 14:49 fman Note Added: 0020102
2013-11-18 19:32 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-11-18 19:32 fman Note Added: 0020103
2013-11-18 19:32 fman Status new => resolved
2013-11-18 19:32 fman Resolution open => fixed
2013-11-18 19:32 fman Assigned To => fman
2013-11-18 19:32 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2013-11-18 19:32 fman Relationship added child of 0006048
2013-11-18 19:34 fman Note Added: 0020104
2014-04-25 17:39 fman Note Added: 0020887
2014-04-25 17:39 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker